Skip to main content
POST
/
task
/
updateActionProperties
Update Action Parameters
curl --request POST \
  --url https://openapi.octoparse.com/task/updateActionProperties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>",
  "actions": [
    {
      "actionType": "<string>",
      "actionId": "<string>",
      "properties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
'
{
  "data": {
    "message": "<string>"
  },
  "requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the access_token obtained from POST /token

Body

application/json
taskId
string
required
actions
object[]
required

Response

200 - application/json

Action properties updated

data
object
requestId
string